# fedora-design-suite.ks
#
# Description:
# - A Spin targeted towards professional designers
#
# Maintainer:
# - Sebastian Dziallas <sdz AT fedoraproject DOT org>

%include fedora-live-mini.ks

%packages

-cpuspeed

# gnome desktop
gdm
gedit
gnome-python2-gconf
gnome-desktop
gnome-panel
gnome-session
gnome-terminal
metacity
nautilus
NetworkManager-gnome

# graphics
agave
blender
cinepaint
fontmatrix
gimp
gimp-*-plugin
# gthumb
inkscape
# koffice-krita
mypaint
nautilus-image-converter
optipng
pngcrush
postr
rawtherapee
scribus
shotwell
synfigstudio
ufraw
xournal
eog

# office
abiword
dia
gnote
gnumeric
hamster-applet
# openoffice.org-impress
# openoffice.org-extendedPDF
# pdfmod

# internet
empathy
evolution
firefox
# gnash-plugin
# gwibber

# audio & video
audacity
pitivi
rhythmbox
totem

# system
gnome-utils
# tracker-search-tool
vinagre
# vino

%end

%post
cat >> /etc/rc.d/init.d/livesys << EOF
# disable screensaver locking
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /apps/gnome-screensaver/lock_enabled false >/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /desktop/gnome/lockdown/disable_lock_screen true >/dev/null

# set up timed auto-login for after 60 seconds
cat >> /etc/gdm/custom.conf << FOE
[daemon]
TimedLoginEnable=true
TimedLogin=liveuser
TimedLoginDelay=60
FOE

# Show harddisk install on the desktop
sed -i -e 's/NoDisplay=true/NoDisplay=false/' /usr/share/applications/liveinst.desktop
mkdir /home/liveuser/Desktop
cp /usr/share/applications/liveinst.desktop /home/liveuser/Desktop
chown -R liveuser.liveuser /home/liveuser/Desktop
chmod a+x /home/liveuser/Desktop/liveinst.desktop

# But not trash and home
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /apps/nautilus/desktop/trash_icon_visible false >/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /apps/nautilus/desktop/home_icon_visible false >/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /desktop/gnome/interface/menus_have_icons true >/dev/null

# Set wallpaper
wget http://duffy.fedorapeople.org/temp/designsuite/designsuite-wallpaper.png
mv designsuite-wallpaper.png /usr/share/backgrounds/designsuite-wallpaper.png
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t string /desktop/gnome/background/picture_filename '/usr/share/backgrounds/designsuite-wallpaper.png' >/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t string /desktop/gnome/background/picture_options 'stretched' >/dev/null

# Turn off PackageKit-command-not-found while uninstalled
sed -i -e 's/^SoftwareSourceSearch=true/SoftwareSourceSearch=false/' /etc/PackageKit/CommandNotFound.conf

# Add link to the Inkscape Course
cat >> /home/liveuser/Desktop/inkscape-course.desktop << FOE
#!/usr/bin/env xdg-open
[Desktop Entry]
Name=Introduction To Inkscape
GenericName=Inkscape Course
Comment=Materials from MÃ¡irÃ­n Duffy's Inkscape Class
Exec=/usr/bin/firefox http://linuxgrrl.com/learn/Introduction_To_Inkscape
Type=Application
Icon=fedora-logo-icon
FOE
chmod a+x /home/liveuser/Desktop/inkscape-course.desktop

EOF

#Add desktop launchers
wget http://duffy.fedorapeople.org/temp/designsuite/gimp.desktop
wget http://duffy.fedorapeople.org/temp/designsuite/fedora-xournal.desktop
wget http://duffy.fedorapeople.org/temp/designsuite/fedora-mypaint.desktop
wget http://duffy.fedorapeople.org/temp/designsuite/fedora-inkscape.desktop
wget http://duffy.fedorapeople.org/temp/designsuite/fedora-blender.desktop
wget http://duffy.fedorapeople.org/temp/designsuite/fedora-agave.desktop
chmod +x *.desktop
mv *.desktop /home/liveuser/Desktop
mkdir /home/liveuser/Desktop/Help
wget http://duffy.fedorapeople.org/temp/designsuite/Help/Audacity%20FLOSS%20Manual.desktop
wget http://duffy.fedorapeople.org/temp/designsuite/Help/Blender%20FLOSS%20Manual.desktop
wget http://duffy.fedorapeople.org/temp/designsuite/Help/Blender%20Tutorials.desktop
wget http://duffy.fedorapeople.org/temp/designsuite/Help/Gimp%20Manual.desktop
wget http://duffy.fedorapeople.org/temp/designsuite/Help/Gimp%20Savvy%20Book.desktop
wget http://duffy.fedorapeople.org/temp/designsuite/Help/Inkscape%20FLOSS%20Manual.desktop
wget http://duffy.fedorapeople.org/temp/designsuite/Help/Inkscape%20Tutorials.desktop
wget http://duffy.fedorapeople.org/temp/designsuite/Help/MyPaint%20Homepage.desktop
wget http://duffy.fedorapeople.org/temp/designsuite/Help/MyPaint%20Tutorial.desktop
wget http://duffy.fedorapeople.org/temp/designsuite/Help/Xournal%20Manual.desktop
chmod +x *.desktop
mv *.desktop /home/liveuser/Desktop/Help

%end

